<?php

require_once "header.php";

if ($has_error)
	echo "<h2>Erreur : $error_message</h2>";
elseif (isset($new_video))
	echo "<h2>Votre vidéo a bien été envoyée !</h2>";
?>

<?php
if ($video !== null) {
    $link = $video->getLink();
    echo "Lien de la vidéo déjà envoyée : <a href=\"$link\">$link</a> (version " . $video->getVersion() . ")<br />\n";
    displayVideo($link);
    switch ($video->getValidation()) {
		case 0:
			echo "La vidéo n'a pas encore été contrôlée.<br />";
			break;
		case 1:
			echo "La vidéo a été acceptée.<br />";
			break;
		case -1:
			echo "La vidéo a été rejetée.<br />";
			break;
    }
}
if ($video_validated != null && $video_validated->getId() != $video->getId()) {
    $link = $video_validated->getLink();
    echo "<hr />\nLien de la dernière vidéo validée : <a href=\"$link\">$link</a><br />";
    displayVideo($link);
}
?>

<form method="POST">
	<table style="width: 100%;">
		<tbody>
		<tr>
			<td style="width: 30%;">
				<label for="link">Lien de la vidéo à soumettre :</label>
			</td>
			<td style="width: 70%;">
				<input style="width: 100%;" type="url" id="link" name="link" />
			</td>
		</tr>
        <tr>
            <td style="text-align: center;" colspan="2">
                <input type="checkbox" name="valid_link" id="valid_link" required /> <label for="valid_link">Je confirme que le lien est valide</label>
            </td>
        </tr>
        <tr>
            <td style="text-align: center;" colspan="2">
                <input type="checkbox" name="no_change" id="no_change" required /> <label for="no_change">Je m'engage à ne pas changer le contenu du lien et de la vidéo</label>
            </td>
        </tr>
		<tr>
			<td colspan="2">
				<input style="width: 100%;" type="submit" name="upload" value="Envoyer la vidéo" />
			</td>
		</tr>
		</tbody>
	</table>
</form>

<?php require_once "footer.php";